package com.alibaba.android.arouter.routes;

import com.alibaba.android.arouter.facade.enums.RouteType;
import com.alibaba.android.arouter.facade.model.RouteMeta;
import com.alibaba.android.arouter.facade.template.IProviderGroup;
import com.intsig.camscanner.purchase.utils.ProductManagerService;
import com.intsig.camscanner.router.RouterMainServiceImpl;
import com.intsig.camscanner.tsapp.RouterLoginTaskServiceImpl;
import com.intsig.camscanner.tsapp.RouterLogoutTaskServiceImpl;
import com.intsig.camscanner.tsapp.RouterToolPageServiceImpl;
import com.intsig.camscanner.web.WebServiceForImpl;
import java.util.Map;

public class ARouter$$Providers$$camScanner_GP_402 implements IProviderGroup {
    @Override // com.alibaba.android.arouter.facade.template.IProviderGroup
    public void loadInto(Map<String, RouteMeta> map) {
        RouteType routeType = RouteType.PROVIDER;
        map.put("com.intsig.router.service.RouterMainService", RouteMeta.build(routeType, RouterMainServiceImpl.class, "/main/connectmain", "main", null, -1, Integer.MIN_VALUE));
        map.put("com.intsig.router.service.RouterLoginTaskService", RouteMeta.build(routeType, RouterLoginTaskServiceImpl.class, "/main/login_task", "main", null, -1, Integer.MIN_VALUE));
        map.put("com.intsig.router.service.RouterLogoutTaskService", RouteMeta.build(routeType, RouterLogoutTaskServiceImpl.class, "/main/logout_task", "main", null, -1, Integer.MIN_VALUE));
        map.put("com.intsig.router.service.RouterProductService", RouteMeta.build(routeType, ProductManagerService.class, "/main/productmanager", "main", null, -1, Integer.MIN_VALUE));
        map.put("com.intsig.router.service.RouterToolPageService", RouteMeta.build(routeType, RouterToolPageServiceImpl.class, "/main/toolpage", "main", null, -1, Integer.MIN_VALUE));
        map.put("com.intsig.router.service.RouterWebService", RouteMeta.build(routeType, WebServiceForImpl.class, "/web/allpage", "web", null, -1, Integer.MIN_VALUE));
    }
}
